NameFileFilter (Commons IO 2.5)
Date: 2016-12-01

org.apache.commons.io.filefilter

## Class NameFileFilter

- java.lang.Object
- - org.apache.commons.io.filefilter.AbstractFileFilter
  - - org.apache.commons.io.filefilter.NameFileFilter

- All Implemented Interfaces:
    java.io.FileFilter, java.io.FilenameFilter, java.io.Serializable, IOFileFilter

      public class NameFileFilter
      extends AbstractFileFilter
      implements java.io.Serializable

  Filters filenames for a certain name.

  For example, to print all files and directories in the current directory whose name is `Test`:

       File dir = new File(".");
       String[] files = dir.list( new NameFileFilter("Test") );
       for ( int i = 0; i < files.length; i++ ) {
           System.out.println(files[i]);
       }

  Since:
    1.0
  Version:
    $Id: NameFileFilter.java 1642757 2014-12-01 21:09:30Z sebb $
  See Also:
    `FileFilterUtils.nameFileFilter(String)`, `FileFilterUtils.nameFileFilter(String, IOCase)`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private IOCase` | `caseSensitivity` Whether the comparison is case sensitive.
    `private java.lang.String[]` | `names` The filenames to search for
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameFileFilter(java.util.List<java.lang.String> names)` Constructs a new case-sensitive name file filter for a list of names.
    `NameFileFilter(java.util.List<java.lang.String> names, IOCase caseSensitivity)` Constructs a new name file filter for a list of names specifying case-sensitivity.
    `NameFileFilter(java.lang.String name)` Constructs a new case-sensitive name file filter for a single name.
    `NameFileFilter(java.lang.String[] names)` Constructs a new case-sensitive name file filter for an array of names.
    `NameFileFilter(java.lang.String[] names, IOCase caseSensitivity)` Constructs a new name file filter for an array of names specifying case-sensitivity.
    `NameFileFilter(java.lang.String name, IOCase caseSensitivity)` Construct a new name file filter specifying case-sensitivity.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(java.io.File file)` Checks to see if the filename matches.
    `boolean` | `accept(java.io.File dir, java.lang.String name)` Checks to see if the filename matches.
    `java.lang.String` | `toString()` Provide a String representaion of this file filter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### names

          private final java.lang.String[] names

      The filenames to search for

    - #### caseSensitivity

          private final IOCase caseSensitivity

      Whether the comparison is case sensitive.

  - ### Constructor Detail

    - #### NameFileFilter

          public NameFileFilter(java.lang.String name)

      Constructs a new case-sensitive name file filter for a single name.
      Parameters:
        `name` - the name to allow, must not be null
      Throws:
        `java.lang.IllegalArgumentException` - if the name is null

    - #### NameFileFilter

          public NameFileFilter(java.lang.String name,
                        IOCase caseSensitivity)

      Construct a new name file filter specifying case-sensitivity.
      Parameters:
        `name` - the name to allow, must not be null
        `caseSensitivity` - how to handle case sensitivity, null means case-sensitive
      Throws:
        `java.lang.IllegalArgumentException` - if the name is null

    - #### NameFileFilter

          public NameFileFilter(java.lang.String[] names)

      Constructs a new case-sensitive name file filter for an array of names.

      The array is not cloned, so could be changed after constructing the instance. This would be inadvisable however.

      Parameters:
        `names` - the names to allow, must not be null
      Throws:
        `java.lang.IllegalArgumentException` - if the names array is null

    - #### NameFileFilter

          public NameFileFilter(java.lang.String[] names,
                        IOCase caseSensitivity)

      Constructs a new name file filter for an array of names specifying case-sensitivity.
      Parameters:
        `names` - the names to allow, must not be null
        `caseSensitivity` - how to handle case sensitivity, null means case-sensitive
      Throws:
        `java.lang.IllegalArgumentException` - if the names array is null

    - #### NameFileFilter

          public NameFileFilter(java.util.List<java.lang.String> names)

      Constructs a new case-sensitive name file filter for a list of names.
      Parameters:
        `names` - the names to allow, must not be null
      Throws:
        `java.lang.IllegalArgumentException` - if the name list is null
        `java.lang.ClassCastException` - if the list does not contain Strings

    - #### NameFileFilter

          public NameFileFilter(java.util.List<java.lang.String> names,
                        IOCase caseSensitivity)

      Constructs a new name file filter for a list of names specifying case-sensitivity.
      Parameters:
        `names` - the names to allow, must not be null
        `caseSensitivity` - how to handle case sensitivity, null means case-sensitive
      Throws:
        `java.lang.IllegalArgumentException` - if the name list is null
        `java.lang.ClassCastException` - if the list does not contain Strings

  - ### Method Detail

    - #### accept

          public boolean accept(java.io.File file)

      Checks to see if the filename matches.
      Specified by:
        `accept` in interface `java.io.FileFilter`
      Specified by:
        `accept` in interface `IOFileFilter`
      Overrides:
        `accept` in class `AbstractFileFilter`
      Parameters:
        `file` - the File to check
      Returns:
        true if the filename matches

    - #### accept

          public boolean accept(java.io.File dir,
                       java.lang.String name)

      Checks to see if the filename matches.
      Specified by:
        `accept` in interface `java.io.FilenameFilter`
      Specified by:
        `accept` in interface `IOFileFilter`
      Overrides:
        `accept` in class `AbstractFileFilter`
      Parameters:
        `dir` - the File directory (ignored)
        `name` - the filename
      Returns:
        true if the filename matches

    - #### toString

          public java.lang.String toString()

      Provide a String representaion of this file filter.
      Overrides:
        `toString` in class `AbstractFileFilter`
      Returns:
        a String representaion

Copyright (c) 2002-2016 Apache Software Foundation